Roomability Guest API
Commerce & Guest API ServicesHotel Management System
Commerce & Guest API ServicesHotel Management System
  1. Apartments
Roomability Guest API
  • Admin
    • Authentication
      • Admin Profile
      • Login Admin
      • Admin Logout
      • Forget Password
      • Confirm Reset Password
    • Rooms
      • Get All Rooms
      • Get Room Details
      • Hide Rooms
      • Create Room
      • Update Room
      • Delete Room
    • Apartments
      • Get All Apartments
        GET
      • Get Apartment Details
        GET
      • Apartment Status
        PATCH
      • Create Apartment
        POST
      • Update Apartment
        PATCH
      • Delete Apartment
        DELETE
    • Proposals
      • Fetch All Proposals
      • Delete Proposals
      • Fetch Proposal Details
      • Approve / Decline Proposal
    • Reservations
      • All Reservation
      • Delete Reservations
      • End / Cancel Reservation
      • Add Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Reservation Details
    • Bookings
      • All Booking Reservation
      • Delete Bookings
      • End / Cancel Reservation
      • Add Reservation (New)
      • Send Invoice
      • Change Reservation ID
      • Filter For Reservations
      • Get Booking Details
    • Receptionists
      • Create Receptionist
      • View All Receptionist
      • Delete Receptionist
    • Dashboard
      • Get Statistics
    • Schedule Calls
      • View All Schedules
      • Update Schedule Calls
    • Coupons
      • Create Coupon Code
      • Get All Coupon Code
      • Deactivate / Activate Coupon Code
      • Delete Coupon
    • Refunds
      • Get All Refunds
      • Issue a Refund
      • Approve Or Decline Refunds
      • Update Refunds
      • Filter Refund
    • Categories
      • Create Categories
      • Get All Room Types
      • Update Room Category
      • Delete Room Category
    • Payments (New)
      • Confirm Payment (New)
  • Users
    • Proposals
      • Send A Proposal
    • Reservations
      • Get All Reservations
      • Get Active Reservations
      • Extend Reservation
      • Download Invoice
      • Get Reservation Details
    • Authentication
      • User Registration
      • User Profile
      • Forget Password
      • User Login
      • User Logout
      • Update Account
      • Confirm Reset Password
      • Code Verification
    • Payments
      • Verify Payment
      • Payment For Reservation
      • Create Payment Link (New)
      • Confirm Payment (New)
      • Make Payment For Apartment
      • Verify Paid Apartments
    • Coupons
      • Apply Coupons
    • Refunds
      • Issue a Refund
      • Get All Refunds
  • Rooms
    • Get All Rooms
      GET
    • View Room Details
      GET
    • Filter Rooms
      GET
    • Get Avaliable Rooms
      GET
  • Apartments
    • Get All Apartments
    • View Apartment Details
    • Get Avaliable Apartments
  • Categories
    • Get All Categories
  • Owners
    • Authentication
      • Code Verification
      • Get Profile
      • Login
      • User Registration
      • Forget Password
      • Update Account Copy
  • Base Endpiont
    GET
  • Health Check
    GET
  • Schedule A Call
    POST
  • Subscribe Email
    POST
  • Cron Jobs
    GET
  • Payment Webhook
    POST
  • New Request
    GET
Commerce & Guest API ServicesHotel Management System
Commerce & Guest API ServicesHotel Management System
  1. Apartments

Apartment Status

PATCH
/admin/apartments/status/6762d80e470d0fc107a8c99b
Last modified:2026-03-12 17:03:01

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/admin/apartments/status/6762d80e470d0fc107a8c99b' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "isAvailable": false
}'
Response Response Example
{
    "status": true,
    "message": "Success! Apartment is hidden successfully.",
    "data": {
        "_id": "6762d80e470d0fc107a8c99b",
        "type": "Fully Detached House",
        "adminId": "653d63a82efc5eeb5d037c3e",
        "price": 2000000,
        "name": "Yahaya Abdullah Abu",
        "email": "abdullahyahaya46@gmail.com",
        "phone": "+2348089885365",
        "nin": "208239823212",
        "totalRooms": 7,
        "location": "Akure North",
        "description": "This is a bungulow test description",
        "facilities": [
            "Air Condition",
            "Ree Wi-Fi",
            "Nice View",
            "24hr Electricity"
        ],
        "comments": [],
        "images": [
            "https://firebasestorage.googleapis.com/v0/b/hotel-project-a01c4.appspot.com/o/apartments%2F1734531040764_0_image%2Fpng?alt=media&token=c2b51cd3-aa65-44f7-9521-93e98011f228"
        ],
        "isAvailable": false,
        "reservations": [],
        "createdAt": "2024-12-18T14:11:26.058Z",
        "updatedAt": "2024-12-18T14:19:56.696Z",
        "__v": 0
    }
}
Modified at 2026-03-12 17:03:01
Previous
Get Apartment Details
Next
Create Apartment
Built with